std::error_code::assign(3)

NAME
std::error_code::assign - std::error_code::assign

Synopsis
   void assign( int ec, const error_category& ecat ) noexcept; (since C++11)
   Replaces the contents with error code ec and corresponding category ecat.

Parameters
   ec - platform-dependent error code enum to assign
   ecat - error category corresponding to ec

Return value
   (none)

See also
   operator= assigns another error code
             (public member function)